import { PDFDocumentProxy } from "pdfjs-dist";
import { OptionalContentConfig } from "pdfjs-dist/types/web/pdf_viewer";
export type PDFPrintServiceOptions = {
    pdfDocument: PDFDocumentProxy;
    pagesOverview: any[];
    printContainer: HTMLElement;
    printResolution: number;
    optionalContentConfigPromise: Promise<OptionalContentConfig> | null;
    printAnnotationStoragePromise: Promise<PDFDocumentProxy["annotationStorage"]> | null;
};
declare class PDFPrintService {
    pdfDocument: PDFDocumentProxy;
    pagesOverview: {
        width: number;
        height: number;
        rotation: number;
    }[];
    printContainer: HTMLElement;
    _printResolution: number;
    _optionalContentConfigPromise: Promise<OptionalContentConfig>;
    _printAnnotationStoragePromise: Promise<PDFDocumentProxy["annotationStorage"] | void>;
    currentPage: number;
    scratchCanvas: HTMLCanvasElement;
    pageStyleSheet: HTMLStyleElement | null;
    constructor({ pdfDocument, pagesOverview, printContainer, printResolution, printAnnotationStoragePromise, }: PDFPrintServiceOptions);
    layout(): void;
    destroy(): void;
    renderPages(renderProgress: (status: {
        index: number;
        total: number;
    }) => void): Promise<unknown>;
    useRenderedPage(): Promise<unknown>;
    performPrint(): Promise<void>;
    get active(): boolean;
    throwIfInactive(): void;
}
/**
 * @implements {IPDFPrintServiceFactory}
 */
declare const PDFPrintServiceFactory: {
    instance: {
        supportsPrinting: boolean;
        createPrintService(params: PDFPrintServiceOptions): PDFPrintService;
    };
};
export { PDFPrintService, PDFPrintServiceFactory };
//# sourceMappingURL=pdf_print_service.d.ts.map